<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaReD</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav" style="list-style-type: none">
			<li class="nav-item btn-hoverborder"><a class="nav-link" th:href="@{/login}" th:title="#{button.reload}"
				onclick="progress.start()"><i class="fas fa-sync"></i></a></li>
		</ul>
		<ul class="navbar-nav" style="list-style-type: none">
			<li class="nav-item btn-hoverborder"><a class="nav-link" th:href="@{/search}" th:title="#{button.search}"
				onclick="progress.start()"><i class="fas fa-magnifying-glass"></i></a></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<div class="card">
			<div class="card-header" th:text="#{title.missinglists}"></div>
			<div class="card-body">
				<table id="missinglisttbl" class="table table-striped">
					<thead>
						<tr>
							<th th:text="#{label.name}"></th>
							<th th:text="#{label.description}"></th>
							<th th:text="#{label.studygroup}"></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr th:each="m : ${missinglists}">
							<td class="tablecell"><a th:href="@{/missinglist/{id}(id=${m.pk})}" th:text="${m.name}" onclick="progress.start()"></a></td>
							<td class="tablecell" th:text="${m.description}"></td>
							<td class="tablecell" th:text="${m.studygroupName}"></td>
							<td>
								<button type="button" class="btn btn-danger" data-bs-toggle="modal" th:data-bs-target="'#exampleModal' + ${m.pk}">
									<i class="fas fa-trash"></i>
								</button>
								<div class="modal fade" th:id="'exampleModal' + ${m.pk}" tabindex="-1"
									th:aria-labelledby="'exampleModalLabel' + ${m.pk}" aria-hidden="true">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="modal-header">
												<h1 class="modal-title fs-5" th:id="'exampleModalLabel' + ${m.pk}" th:text="#{confirm.delete}"></h1>
												<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
											</div>
											<div class="modal-body">
												<span th:utext="#{confirm.delete.msg(${m.name})}"></span>
											</div>
											<div class="modal-footer">
												<a class="btn btn-danger" th:href="@{/missinglist/delete/{id}(id=${m.pk})}" th:text="#{button.ok}"></a>
												<button type="button" class="btn btn-secondary" data-bs-dismiss="modal" th:text="#{button.cancel}"></button>
											</div>
										</div>
									</div>
								</div>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/javascript">
					$(document)
							.ready(
									function() {
										var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
										$('#missinglisttbl').DataTable({
											"language" : {
												"url" : localeUrl
											}
										});
									});
				</script>
			</div>
			<div class="card-footer">
				<a th:href="@{/missinglist/add}" th:text="#{button.add}" class="btn btn-primary" onclick="progress.start()"></a>
			</div>
		</div>
	</main>
</body>
</html>